## myrescue 0.9.4

=== src/Makefile ===
CFLAGS = -Wall 
all: myrescue
myrescue: myrescue.c

=== debian/changelog ===
myrescue (0.9.4-7) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 16 Jun 2015 23:55:03 -0300

myrescue (0.9.4-6) experimental; urgency=medium

  * Team upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 version.
      - DH level to 9.
      - Renaming:
          ~ myrescue.docs to docs.
          ~ myrescue.install to install.
          ~ myrescue.manpages to manpages.
  * debian/clean: created to remove the final binary built in upstream place.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Improved the long description. Also added the word 'forensics'.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all information.
  * debian/install: did a little change to avoid future mistakes.
  * debian/patches/:
      - add-hardening: added to provide GCC hardening.
      - fix-gcc-warnings: added to avoid some GCC warnings.
      - fix-manpages: added to fix some hyphens used as minus sign and a
        spelling error in manpages. Thanks to A. Costa" <agcosta@gis.net>
        for some tips. (Closes: #690922)
  * debian/source.lintian-overrides: removed. Currently, this file is useless.
  * debian/watch: added.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Mar 2015 21:44:38 -0300

myrescue (0.9.4-5) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:16:59 +0200

myrescue (0.9.4-4) unstable; urgency=low

  * Updating vcs fields.
  * Adding myself to copyright file.
  * Prefixing debhelper files with package name.
  * Updating to standards 3.8.1.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 21:49:33 +0200

myrescue (0.9.4-3) unstable; urgency=low

  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Sorting vcs fields in control file.
  * Adding full license headers to copyright file.
  * Using tab instead of whitespace in debhelper install file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 10:03:00 +0200

myrescue (0.9.4-2) unstable; urgency=low

  * Removing useless whitespaces.
  * Removing closing of non-existent ITP.
  * Bumping package to debhelper 6.
  * Setting section.
  * Correcting priority.
  * Setting maintainer to project address.
  * Adding uploaders.
  * Bumping package to policy 3.7.3.
  * Improving description.
  * Adding homepage field.
  * Fixing wrapping.
  * Correcting download url.
  * Correcting upstream authors.
  * Correcting copyright.
  * Correcting license.
  * Adding myself to debian licensing.
  * Removing useless README from docs.
  * Decluttering commented stuff.
  * Removing unused configure target.
  * Updating build target.
  * Updating clean target.
  * Updating install target.
  * Removing unused debhelper calls.
  * Removing unused dh_installdirs files.
  * Adding dh_install files.
  * Adding dh_installman files.
  * Reordering targets.
  * Fixing spelling error in description.
  * Adding vcs fields.
  * Removing useless comments.
  * Using machine-interpretable copyright format.
  * Removing unnecessary depends in targets of rules.
  * Fixed wrapping in copyright.
  * Fixed another wrapping in copyright.
  * Cleaning up target depends in rules.
  * Correcting typo in copyright.
  * Removing myself from copyright.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Feb 2008 07:47:00 +0100

myrescue (0.9.4-1) unstable; urgency=low

  * Initial release.

 -- Christophe Monniez <christophe.monniez@fccu.be>  Fri, 25 Jan 2008 01:00:46 +0100

=== debian/control ===
Source: myrescue
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://myrescue.sf.net
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/myrescue.git
Vcs-Git: git://anonscm.debian.org/forensics/myrescue.git

Package: myrescue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rescue data from damaged disks
 myrescue is a program to rescue the still-readable data from a damaged
 harddisk, CD-ROM, DVD, flash drives, etc. It is similar in purpose to
 dd_rescue (or ddrescue), but it tries to quickly get out of damaged
 areas to first handle the not yet damaged part of the disk and return
 later.
 .
 This package is useful to recover data from any midia and for forensics
 investigations.

=== debian/watch ===
version=3
http://sf.net/myrescue/myrescue-(.*)\.tar\.(?:bz2|gz|xz)

## myrescue 0.9.6

=== debian/changelog ===
myrescue (0.9.6-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools 
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * New upstream version 0.9.6
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.1.4
  * Update my email address
  * debian/clean: created
  * debian/copyright: updated to https Format URI
  * debian/install: updated to new binaries
  * debian/upstream/metadata: created
  * debian/patches/*: updated to new upstream version

 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 05 Jun 2018 23:32:42 -0300

myrescue (0.9.4-9) unstable; urgency=medium

  * New co-maintainer.
  * Update DH level to 10.
  * debian/copyright:
      - Added my name in packaging copyright place.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 08 Oct 2016 23:56:43 -0300

myrescue (0.9.4-8) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Bump Standards-Version to 3.9.8.
      - Fix a spelling error. Thanks to Alberto Luaces <aluaces@udc.es>.
        (Closes: #838685)
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - add-hardening: renamed to 10_fix-manpages.patch.
      - fix-gcc-warnings: renamed to 20_fix-gcc-warnings.patch.
      - fix-manpages: renamed to 30_add-hardening.patch.
  * debian/watch:
      - Bumped to version 4.
      - Improved the rule to search new upstream version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 24 Sep 2016 23:26:17 -0300

=== debian/control ===
Source: myrescue
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: http://myrescue.sf.net
Vcs-Browser: https://salsa.debian.org/pkg-security-team/myrescue
Vcs-Git: https://salsa.debian.org/pkg-security-team/myrescue.git

Package: myrescue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rescue data from damaged disks
 myrescue is a program to rescue the still-readable data from a damaged
 harddisk, CD-ROM, DVD, flash drives, etc. It is similar in purpose to
 dd_rescue (or ddrescue), but it tries to quickly get out of damaged
 areas to first handle the not yet damaged part of the disk and return
 later.
 .
 This package is useful to recover data from any media and for forensics
 investigations.

## myrescue 0.9.8

=== Makefile ===
CFLAGS = -Wall 
all: myrescue myrescue-stat myrescue-bitmap2ppm
myrescue: myrescue.c permute.c
myrescue-stat: myrescue-stat.c
myrescue-bitmap2ppm: myrescue-bitmap2ppm.c

=== debian/changelog ===
myrescue (0.9.8-2) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field.
  * debian/control:
      - Added the field Rules-Requires-Root: binary-targets.
      - Standards-Version: bumped to 4.4.1 (no changes needed)
  * debian/copyright:
      - Updated years and rights.
  * debian/tests/control: created to provide trivial tests.
  * wrap-and-sort -sa

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 30 Dec 2019 13:39:10 -0300

myrescue (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Bumped DH level to 12
  * Bumped Standards-Version to 4.3.0
  * debian/copyright: updated packaging copyright years

 -- Giovani Augusto Ferreira <giovani@debian.org>  Fri, 04 Jan 2019 17:07:19 -0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Uploaders:
+ Giovani Augusto Ferreira <giovani@debian.org>
+Build-Depends:
+ debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: binary-targets
 Homepage: http://myrescue.sf.net
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/myrescue
 Vcs-Git: https://salsa.debian.org/pkg-security-team/myrescue.git
 
 Package: myrescue
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: rescue data from damaged disks
  myrescue is a program to rescue the still-readable data from a damaged
  harddisk, CD-ROM, DVD, flash drives, etc. It is similar in purpose to

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

=== debian/tests/control ===
Test-Command: myrescue -h 2>&1 | grep myrescue

=== debian/watch ===
version=4
http://sf.net/myrescue/myrescue-(\d\S+)\.tar\.(?:bz2|gz|xz)
